class AddColumnsToBulkraxImporterRun < ActiveRecord::Migration[5.2]
  def change
    add_column :bulkrax_importer_runs, :total_complex_subject_entries, :integer, default: 0
    add_column :bulkrax_importer_runs, :total_complex_session_entries, :integer, default: 0
    add_column :bulkrax_importer_runs, :total_complex_modality_entries, :integer, default: 0
    add_column :bulkrax_importer_runs, :processed_complex_subjects, :integer, default: 0
    add_column :bulkrax_importer_runs, :processed_complex_sessions, :integer, default: 0
    add_column :bulkrax_importer_runs, :processed_complex_modalities, :integer, default: 0
    add_column :bulkrax_importer_runs, :failed_complex_subjects, :integer, default: 0
    add_column :bulkrax_importer_runs, :failed_complex_sessions, :integer, default: 0
    add_column :bulkrax_importer_runs, :failed_complex_modalities, :integer, default: 0
  end
end
